Index: themes/ductile/_config.php
===================================================================
--- themes/ductile/_config.php	(revision 631)
+++ themes/ductile/_config.php	(revision 634)
@@ -462,7 +462,7 @@
 echo '</div>'; // Close tab
 
+dcPage::helpBlock('ductile');
+
 // Legacy mode
 if (!$standalone_config) echo '<form style="display:none">';
-
-dcPage::helpBlock('ductile');
 ?>
Index: themes/ductile/_prepend.php
===================================================================
--- themes/ductile/_prepend.php	(revision 631)
+++ themes/ductile/_prepend.php	(revision 634)
@@ -15,4 +15,5 @@
 
 # Admin mode only :
+$GLOBALS['core']->themes->loadModuleL10Nresources($GLOBALS['core']->blog->settings->system->theme,$GLOBALS['_lang']);
 
 # Behaviors
Index: themes/ductile/locales/fr/help/help.html
===================================================================
--- themes/ductile/locales/fr/help/help.html	(revision 628)
+++ themes/ductile/locales/fr/help/help.html	(revision 634)
@@ -6,6 +6,79 @@
 <body>
 
-<h3>Configuration du thème Ductile</h3>
-<p>À écrire…</p>
+<p>En modifiant la configuration du thème Ductile, vous pouvez personnaliser votre thème très facilement.</p>
+
+<h3>Personnalisation du contenu</h3>
+
+<p>Sur cet onglet vous pouvez personnaliser le contenu de votre blog.</p>
+
+<h4>Entête</h4>
+
+<p>Cochez la case qui suit « Cacher la description du blog » pour ne pas afficher la description du blog habituellement affichée sous le titre.</p>
+<p>Vous pouvez, si l'extension « Menu Simple » est installée et active, cliquez sur le lien indiqué pour paramétrer le menu affiché en entête.</p>
+
+<h4>Étiquettes</h4>
+
+<p>Les étiquettes sont représentées par des rubans dont le contenu et la découpe diffèrent légèrement. Pour chaque image correspondant au schéma <code>sticker-*.png</code> et se trouvant dans le sous-répertoire <code>img</code> du thème, vous pouvez indiquer un libellé et l'URL correspondante. Laissez un de ces deux champs vide pour ne pas l'utiliser.</p>
+
+<p>Vous pouvez également modifier l'ordre d'affichage par tiré-lâché si javascript est actif et que vous ne l'avez pas interdit dans vos préférences. Autrement vous avez à votre disposition un champs supplémentaire qui vous permet d'indiquer l'ordre d'affichage (de 1 à n).</p>
+
+<h4>Types et limites des listes de billets</h4>
+
+<p>Certains contextes d'affichage de votre blog se présente sous la forme d'une liste de billets. C'est le cas par exemple pour la page d'accueil ou bien pour les archives mensuelles. Pour chacun des contextes listé dans le tableau vous pouvez précisez si le contenu de chacun des billets affichés doit l'être sous la forme d'un titre uniquement, d'une forme réduite (extrait ou les 300 premiers caractères) ou sous leur forme complète.</p>
+
+<p>De plus, pour certains de ces contextes, vous pouvez également indiquer le nombre de billets affichés par page. Si vous laissez ce champs libre c'est la valeur précisée dans les paramètres du blog qui sera utilisée.</p>
+
+<h3>Personnalisation de la présentation</h3>
+
+<p>Sur cet onglet vous pouvez personnaliser quelques éléments de présentation de votre blog.</p>
+
+<h4>Paramètres généraux</h4>
+
+<p>Ces paramètres seront utilisés quelle que soit la largeur d'affichage du blog.</p>
+
+<h5>Polices de caractère</h5>
+
+<p>Vous pouvez ici choisir une famille principale de police de caractère qui sera utilisée pour l'essentiel des textes. Vous pouvez également sélectionner une seconde famille (secondaire) qui sera utilisée pour certains titres de second niveau. L'option « Par défaut » permet de laisser le choix prévu à l'origine.</p>
+
+<h5>Titre du blog</h5>
+
+<p>Vous pouvez indiquer ici si le titre du blog doit être affiché en gras ou pas, sa taille (en <em>em</em> par défaut, les unités reconnues sont %, pt, px, em et ex) ainsi que sa couleur en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>
+
+<p>Videz un ou tous les champs pour annuler votre choix et revenir à celui défini à l'origine.</p>
+
+<h5>Titre des billets</h5>
+
+<p>Vous pouvez indiquer ici si les titres des billets doivent être affichés en gras ou pas, leur taille (en <em>em</em> par défaut, les unités reconnues sont %, pt, px, em et ex) ainsi que leur couleur en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>
+
+<p>Videz un ou tous les champs pour annuler votre choix et revenir à celui défini à l'origine.</p>
+
+<h5>Titres sans lien</h5>
+
+<p>Vous pouvez indiquer ici la couleur des titres sans lien (essentiellement les intertitres présents dans vos billets) en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>
+
+<p>Videz le champs pour annuler votre choix et revenir à celui défini à l'origine.</p>
+
+<h5>Liens dans les billets</h5>
+
+<p>Vous pouvez indiquer ici si les liens dans les billets doivent être affichés en gras ou pas, que leurs couleurs normales et visitées, ainsi que actifs, survolés et ayant le focus en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>
+
+<p>Videz un ou tous les champs pour annuler votre choix et revenir à celui défini à l'origine.</p>
+
+<h4>Paramètres spécifiques pour les mobiles</h4>
+
+<p>Ces paramètres seront utilisés uniquement lorsque la largeur de l'affichage sera inférieure à 480 pixels, soit sur les mobiles. Ils viendront remplacer, s'il sont précisés, les paramètres de même nature décrit dans la partie générale ci-dessus.</p>
+
+<h5>Titre du blog</h5>
+
+<p>Vous pouvez indiquer ici si le titre du blog doit être affiché en gras ou pas, sa taille (en <em>em</em> par défaut, les unités reconnues sont %, pt, px, em et ex) ainsi que sa couleur en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>
+
+<p>Videz un ou tous les champs pour annuler votre choix et revenir à celui défini à l'origine.</p>
+
+<h5>Titre des billets</h5>
+
+<p>Vous pouvez indiquer ici si les titres des billets doivent être affichés en gras ou pas, leur taille (en <em>em</em> par défaut, les unités reconnues sont %, pt, px, em et ex) ainsi que leur couleur en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>
+
+<p>Videz un ou tous les champs pour annuler votre choix et revenir à celui défini à l'origine.</p>
+
 </body>
 </html>