Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 500)
+++ admin/style/default.css	(revision 508)
@@ -11,8 +11,6 @@
 # -- END LICENSE BLOCK -----------------------------------------
 */
-
-/* ------------------------------------------------------------------ html */
 body {
-	font: 75%/1.5em Helvetica,Arial,sans-serif;
+	font: 76%/1.5em Helvetica,Arial,sans-serif;
 	color: #333;
 	background: #f5f5f5;
@@ -23,4 +21,6 @@
 	background: #fff;
 }
+
+a img,:link img,:visited img { border:none }
 
 a, a:link, a:visited {
@@ -32,7 +32,4 @@
 	text-decoration: underline;
 }
-a img, a:link img, a:visited img { 
-	border:none;
-}
 
 h1, h2, h3, h4, h5, h6, p {
@@ -40,4 +37,5 @@
 	margin-bottom: 0.6em;
 }
+
 h2 {
 	color: #666;
@@ -45,14 +43,14 @@
 	padding: 4px 0;
 }
-.page-title {
-	color: #d30e60;
-}
+
 h3 {
 	color: #333;
 	font-size: 1.2em;
 }
+
 p, div.p {
 	margin: 0 0 1em 0;
 }
+
 hr {
 	height: 1px;
@@ -61,4 +59,5 @@
 	border-style: solid;
 }
+
 pre, code {
 	font: 100% "Andale Mono","Courier New",monospace;
@@ -81,30 +80,9 @@
 /* LAYOUT
 -------------------------------------------------------- */
-/* prelude */
-#prelude {
-	background: #575859;
-	line-height: 1.8em;
-	margin: 0;
-	overflow: hidden;
-	}
-#prelude li {
-	list-style-type: none;
-	margin: 0 1em 0 0;
-	background:transparent;
-	}
-#prelude a {
-	color:#fff;
-	}
-/* header */
-#header {
-	background: #575859;
-	height: 3em;
-	position: relative;
-}
+
 #top {
 	margin: 0;
 	padding: 0;
-	width: 13em;
-	float: left;
+	background: #575859 url(dc_bg.png) repeat-x 0 3em;
 }
 #top h1 {
@@ -125,57 +103,49 @@
 	color: #fff;
 }
-#info-boxes {
+
+#info-box {
 	background: #575859;
-	font-size: .95em;
-	height: 3em;
-}
-#info-box1 {
-	margin: 0;
-	padding: .5em 3px 4px 0;
+	position: absolute;
+	left: 13em;
+	top: 3px;
+	margin: 0;
+	padding: 3px 3px 4px 0;
 	color: #fff;
-	float: left;
+}
+#info-box2 {
 	background: #575859;
-}
-#info-box2 {
-	margin: .1em 0 0 0;
-	padding: .5em 1em 4px 0;
+	position: absolute;
+	right: 1em;
+	top: 3px;
+	margin: 0;
+	padding: 3px 3px 4px 0;
 	color: #fff;
-	float: right;
-	text-align: right;
-	background: #575859;
-	height: 2em;
-}
-#info-box1 select {
-	width: 15em;
-}
-#info-box1 a img, #info-box2 a img {
+}
+#info-box div, #info-box2 div {
+	margin: 0; padding: 0;
+}
+#info-box div div, #info-box2 div div {
+	display: inline;
+}
+#info-box>form>div, #info-box2>form>div {
+	line-height: 1.5;
+}
+#info-box select {
+	width: 20em;
+}
+#info-box a img, #info-box2 a img {
 	vertical-align: middle;
 	padding-left: .3em;
 	}
-#info-box1 a, #info-box2 a {
+#info-box a, #info-box2 a {
 	background: #575859;
 	font-weight: bold;
 	color: #fff;
 	border-bottom-color: #ccc;
-	margin-left: .3em;
-	margin-right: .3em;
-	white-space: nowrap;
-	font-weight: normal;
-}
-#info-box1 a {
-	margin-left: 1.33em;
-}
-#info-box2 a.active {
-	border-bottom-color: #f5f5f5;
-	margin: 0;
-	padding: 1.2em .5em;
-	background-color: #f5f5f5;
-	color: #333;
-	font-weight: bold;
-}
-#info-box2 span {
-	color: #575859;
-}
-/* prelude */
+}
+#info-box a {
+	margin-left: 2em;
+}
+
 #wrapper {
 	width: 100%;
@@ -199,86 +169,16 @@
 	#content:before, #content:after {content:"";display:table;}
 	#content:after {clear:both;}
-/* -------------------------------------------------- layout - multipart */
-.three-cols {
-}
-.three-cols .col {
-	width: 32.3%;
-	float: left;
-	margin-left: 1%;
-}
-.three-cols .col:first-child {
-	width: 33.3%;
-	margin-left: 0;
-}
-.two-cols {
-	position: static;
-}
-.two-cols .col {
-	width: 49%;
-	margin-left: 2%;
-	float: left;
-}
-.two-cols .col:first-child {
-	width: 49%;
-	margin-left: 0;
-}
-.two-cols .col70{
-	width: 69%;
-	margin-left: 0;
-	float: left;
-}
-.two-cols .col30 {
-	width: 28%;
-	margin-left: 2%;
-	float: left;
-}
-/* -------------------------------------------------------------- layout - onglets */
-.part-tabs ul {
-	padding: .3em 0 1px 1em;
-	border-bottom: 1px solid #999;
-}
-.part-tabs li {
-	list-style: none;
-	margin: 0;
-	display: inline;
-}
-.part-tabs li a {
-	padding: .3em 0.5em;
-	margin-right: .5em;
-	border: 1px solid #999;
-	border-bottom: none;
-	background: #dfdfdf;
-	text-decoration: none;
-	-webkit-border-top-left-radius: .3em;
-	-webkit-border-top-right-radius: .3em;
-	-moz-border-radius-topleft: .3em;
-	-moz-border-radius-topright: .3em;
-	border-top-left-radius: .3em;
-	border-top-right-radius: .3em;
-	color: #000;
-}
-.part-tabs li.part-tabs-link a {
-	background: #ffe;
-}
-.part-tabs li a:hover, .part-tabs li a:focus {
-	color: #000;
-	background: #fff;
-	border-bottom-color: #fff;
-}
-.part-tabs li.part-tabs-active a {
-	background: #fff;
-	border-bottom: 1px solid #fff;
-	color: #000;
-	font-weight: bold;
-}
-/* ------------------------------------------------------------------ main-menu */
+
 #main-menu {
 	width: 13em;
 	float: left;
-	margin-top: 1.2em;
+	margin-top: 1em;
 	margin-bottom: 1em;
 }
+#main-menu * {
+}
+
 #main-menu h3 {
-	margin: 0 0 0.5em;
+	margin: 0 0 0.5em 0;
 	padding: .5em 0 0 .5em;
 	text-transform: uppercase;
@@ -294,5 +194,5 @@
 #main-menu li {
 	display: block;
-	margin: 0.5em 0 0;
+	margin: 0.5em 0 0 0;
 	padding: .2em 0 0 32px;
 	background-repeat: no-repeat;
@@ -306,5 +206,5 @@
 	color: #333;
 }
-#main-menu .active {
+#main-menu li.active {
 	background-color: #fff;
 	padding: .4em 0 .1em 32px;
@@ -314,23 +214,8 @@
 	margin-right: -1px;
 }
-#favorites-menu {
-	margin: 0 0 2em;
-}
-#favorites-menu h3 {
-	color: #333;
-	text-transform: none;
-}
-#favorites-menu a {
-	color: #000;
-	font-weight: normal;
-}
-#favorites-menu .active {
-	background-color: transparent;
-	border: none;
-}
-#favorites-menu .active a {
-	font-weight: bold;
-}
-/* ------------------------------------------------------------------ footer */
+#main-menu #dashboard-menu li {
+	margin-left: 0;
+}
+
 #footer {
 	clear: both;
@@ -356,36 +241,27 @@
 	font-weight: normal;
 }
-/* ---------------------------------------------------------------------------- auth.php */
-#login-screen {
-	display: block;
-	width: 18em;
-	margin: 1.5em auto 0;
-	font-size: 1.1em;
-}
-#login-screen h1 {
-	text-indent: -2000px;
-	background: transparent url(dotclear-logo2.png) no-repeat top left;
-	height: 50px;
-	margin-bottom: .5em;
-	margin-left: .5em;
-}
-#login-screen fieldset {
-	border: 1px solid #999;
-	padding: 1em 1em 0 1em;
-	-moz-border-radius: 4px;
-	-webkit-border-radius: 4px;
-	border-radius: 4px;
-}
-#login-screen input[type=text], #login-screen input[type=password], #login-screen input[type=submit] {
+
+#debug {
+	position: absolute;
+	top: 0;
 	width: 100%;
-}
-#login-screen #issue {
-	margin-left: 1em;
-	font-size: 1em;
-}
-#login-screen #issue strong {font-weight: normal;}
-
-
-/* ------------------------------------------------------------------ dashboard */
+	height: 4px;
+	background: #d99;
+}
+#debug div {
+	display: none;
+	padding: 3px 0.5em 2px;
+}
+#debug p {
+	margin: 0.5em 0;
+}
+#debug:hover {
+	height: auto;
+}
+#debug:hover div {
+	display: block;
+}
+
+/* DASHBOARD */
 #dashboard-main {
 	float: left;
@@ -399,10 +275,10 @@
 	float: none;
 }
-#icons {
+#dashboard-main #icons {
 	overflow: hidden;
 	padding-bottom: 1em;
 	text-align: center;
 }
-#icons p {
+#dashboard-main #icons p {
 	width: 210px;
 	text-align: center;
@@ -410,27 +286,23 @@
 	display:inline-block;
 }
-#icons a,
-#icons a:link,
-#icons a:visited,
-#icons a:hover,
-#icons a:focus {
-	border-bottom-width: 0px;
-	text-decoration: none;
-}
-#icons a span {
-	border-bottom: 1px dotted #f90;
-}
-#icons a:focus span, #icons a:hover span {
-	text-decoration: underline;
-}
-#quick {
+#dashboard-main #icons span {
+	display: block;
+}
+#dashboard-main #icons a {
+	border-bottom-width: 0;
+}
+#dashboard-main #icons span a {
+	border-bottom-width: 1px;
+}
+
+#dashboard-main #quick {
 	clear: left;
 	margin-top: 2em;
 }
-#quick h3 {
+#dashboard-main #quick h3 {
 	margin-bottom: 0.2em;
 	font-size: 1.2em;
 }
-#quick p.qinfo {
+#dashboard-main #quick p.qinfo {
 	margin: -.7em -1em 1em;
 	background: #eef url(info.png) no-repeat .2em .2em;
@@ -439,4 +311,5 @@
 	color: #666;
 }
+
 #dashboard-items {
 	float: left;
@@ -446,5 +319,5 @@
 	padding-top: 3em;
 }
-#dashboard-items img {
+#dashboard-items p img {
 	vertical-align: middle;
 }
@@ -458,12 +331,12 @@
 	color: #666;
 }
-#news dt {
+#dashboard-items #news dt {
 	font-weight: bold;
 	margin: 0 0 0.4em 0;
 }
-#news dd {
+#dashboard-items #news dd {
 	margin: 0 0 1em 0;
 }
-#news dd p {
+#dashboard-items #news dd p {
 	margin: 0.2em 0 0 0;
 }
@@ -477,21 +350,18 @@
 	color: #fff;
 }
-/* ------------------------------------------------------------------ post */
-#entry-wrapper {
-	float: left;
-	width: 100%;
-	margin-right: -18em;
-}
-#entry-content {
-	margin-right: 18em;
-}
+
+/* POST */
 #entry-sidebar {
 	width: 17em;
 	float: right;
 }
+#entry-content {
+	margin-right: 18em;
+}
 #comments {
 	clear: both;
 }
-/* ------------------------------------------------------------------ categories */
+
+/* CATEGORIES */
 #categories {
 	margin: 1em 0 2em;
@@ -502,5 +372,5 @@
 	padding: 0;
 }
-#categories li {
+#categories ul li {
 	margin: .5em 0;
 	padding: .3em 1.5em;
@@ -511,11 +381,11 @@
 	border-radius: .3em;
 }
-#categories h4 {
-	margin: 0;
-}
-#categories h4 span {
+#categories ul li h4 {
+	margin: 0;
+}
+#categories ul li h4 span {
 	font-weight: normal;
 }
-#categories li p {
+#categories ul li p {
 	margin: 0;
 }
@@ -523,5 +393,6 @@
 	width: 100%;
 }
-/* ------------------------------------------------------------------ media */
+
+/* MEDIA */
 #media-icon {
 	float: left;
@@ -546,4 +417,5 @@
 	height: 500px;
 }
+
 #add-file-f {
 	position: relative;
@@ -556,52 +428,6 @@
 	border: none;
 }
-.media-list {
-	position: static;
-}
-.media-col-0 {
-	clear: left;
-}
-.media-item {
-	position: relative;
-	border-top: 1px solid #ccc;
-	margin-bottom: 1em;
-	padding: 5px 0;
-}
-div.media-list .media-item {
-	width: 49%;
-	float: left;
-	margin-right: 1%;
-}
-a.media-icon {
-	display: block;
-	border-bottom: none;
-	float: left;
-}
-.media-icon img {
-	display: block;
-}
-.media-item ul {
-	display: block;
-	list-style: none;
-	margin: 0 0 0 60px;
-	padding: 0;
-}
-li.media-action {
-	display: block;
-	position: absolute;
-	top: 5px;
-	right: 5px;
-	height: 16px;
-}
-li.media-action a {
-	border: none;
-}
-li.media-action form {
-	display: inline;
-}
-li.media-action input {
-	border: none;
-}
-/* ------------------------------------------------------------------ preferences */
+
+/* favorites */
 #my-favs ul {
 	list-style-type: none;
@@ -610,5 +436,5 @@
 	line-height: 1.2;
 }
-#my-favs li {
+#my-favs ul li {
 	display: block;
 	float: left;
@@ -629,8 +455,10 @@
 	display: inline;
 }
+
 #default-favs h3 {
 	margin-top: 2em;
 	margin-bottom: 1em;
 }
+
 .fav-list {
 	list-style-type: none;
@@ -644,5 +472,5 @@
 	position: relative;
 }
-.fav-list img {
+.fav-list li img {
 	vertical-align: middle;
 	margin-right: .2em;
@@ -663,130 +491,6 @@
 	border-radius: .5em;
 }
-/* -------------------------------------------------------------------- Themes */
-#themes {
-	border-bottom: 1px solid #ccc;
-	margin: 1em 0;
-}
-#themes div.theme-details {
-	clear: left;
-	border-top: 1px solid #ccc;
-	padding: 1em 0;
-}
-#themes div.theme-details:hover {
-	background: #eee;
-}
-#themes div.theme-details div.theme-shot {
-	float: left;
-}
-#themes div.theme-details div.theme-shot img {
-	display: block;
-	width: 57px;
-	height: 50px;
-	border: 1px solid #ccc;
-}
-#themes div.theme-details div.theme-info {
-	margin-left: 67px;
-}
-#themes div.theme-details div.theme-info span.theme-desc {
-	display: block;
-}
-#themes div.theme-details div.theme-info span.theme-version {
-	color: #666;
-}
-#themes div.theme-details div.theme-actions {
-	margin-left: 67px;
-}
-/* Themes list, JS version */
-#themes-wrapper {
-}
-#theme-box {
-	border: 1px solid #999;
-	border-left: none;
-	padding: 5px;
-	float: right;
-	height: 420px;
-	width: 320px;
-	overflow: auto;
-}
-#theme-box div.theme-shot img {
-	display: block;
-	margin: 0 0 0 10px;
-	width: 280px;
-	height: 245px;
-	border: 1px solid #ccc;
-}
-#theme-box div.theme-info {
-	margin: 1em 0 0 10px;
-}
-#theme-box h3 {
-	margin: 0;
-}
-#theme-box div.theme-info span {
-	display: block;
-}
-#theme-box span.theme-version {
-	color: #666;
-}
-#theme-box span.theme-parent-ok {
-	color: #666;
-}
-#theme-box span.theme-parent-missing {
-	color: #c00;
-	font-weight:bold;
-}
-#theme-box div.theme-actions {
-	margin-left: 10px;
-}
-#themes-wrapper #themes {
-	border: 1px solid #999;
-	overflow: auto;
-	height: 420px;
-	padding: 5px;
-	margin: 0;
-}
-#themes div.theme-details-js {
-	float: left;
-	width: 120px;
-	height: 150px;
-	margin: 0 10px 20px;
-	padding: 10px 10px 0;
-	text-align: center;
-	background: #f3f3f3;
-	border: 1px solid #f3f3f3;
-	cursor: pointer;
-	-moz-border-radius: 4px;
-	-webkit-border-radius: 4px;
-	border-radius: 4px;
-}
-#themes div.theme-details-js label {
-	cursor: pointer;
-}
-#themes div.theme-details-js.theme-selected {
-	background: #E5E3DA;
-	border: 1px solid #999;
-}
-#themes div.theme-details-js div.theme-shot img {
-	width: 120px;
-	height: 105px;
-	border: 1px solid #fff;
-}
-#themes div.theme-details-js h3 {
-	font-family: inherit;
-	font-weight: normal;
-	margin: 0;
-	padding: 0;
-}
-/* ----------------------------------------------------------  Plugins list */
-#plugins td.action {
-	vertical-align: middle;
-}
-
-select.l10n option {
-	padding-left: 16px;
-}
-option.avail10n {
-	background: transparent url(../images/check-on.png) no-repeat 0 50%;
-}
-/* ------------------------------------------------------------------ contextual help */
+
+/* Help */
 #help {
 	margin-top: 2em;
@@ -835,16 +539,8 @@
 	padding: 0 5px 1em 5px;
 }
-.help-content dt {
-	font-weight: bold;
-	color: #626262;
-	margin: 0;
-}
-.help-content dd {
-	margin: 0.3em 0 1.5em 0;
-}
-/* ------------------------------------------------------------------ popups */
+
+/* POPUP */
 body.popup #wrapper, body.popup #top {
 	margin-top: -1.5em;
-	float: none;
 }
 body.popup #top h1 {
@@ -866,55 +562,9 @@
 	border: none;
 }
-/* ------------------------------------------------------------------ messages */
-div.error, p.error, 
-div.message, p.message, 
-div.static-msg, p.static-msg {
-	padding: 0.5em 0.5em 0.5em 40px;
-	margin-bottom: 1em;
-	-moz-border-radius: 8px;
-	-webkit-border-radius: 8px;
-	border-radius: 8px;
-}
-p.error, p.message, p.static-msg {
-	padding-top: 1em;
-	padding-bottom: 1em;
-}
-div.error, p.error {
-	background: #e5bfbf url(msg-error.png) no-repeat 5px 5px;
-	color: #600;
-}
-div.message, p.message, 
-div.static-msg, p.static-msg {
-	background: #666 url(msg-std.png) no-repeat 5px 5px;
-	color: #fff;
-}
-div.message a, p.message a, 
-div.static-msg a, p.static-msg a {
-	color: #fff;
-}
-/* ------------------------------------------------------------------ debug */
-#debug {
-	position: absolute;
-	top: 0;
-	width: 100%;
-	height: 4px;
-	background: #d99;
-}
-#debug div {
-	display: none;
-	padding: 3px 0.5em 2px;
-}
-#debug p {
-	margin: 0.5em 0;
-}
-#debug:hover {
-	height: auto;
-}
-#debug:hover div {
-	display: block;
-}
-/* -------------------------------------------------------------------- CLASSES COMMUNES */
-
-/* paragraphe pour bouton Nouveau bidule */
+
+/* CLASSES
+-------------------------------------------------------- */
+
+/* -------------- paragraphe pour bouton Nouveau bidule ----------- */
 p.top-add {
 	text-align: right;
@@ -929,4 +579,5 @@
 	vertical-align: middle;
 }
+
 /* Si quelque chose a besoin d'être caché sauf pour les revues d'écran */
 .hidden {
@@ -940,4 +591,15 @@
     overflow: hidden;
     }
+
+/* -------------- aide ----------- */
+.help-content dt {
+	font-weight: bold;
+	color: #626262;
+	margin: 0;
+}
+.help-content dd {
+	margin: 0.3em 0 1.5em 0;
+}
+
 .clear {
 	clear: both;
@@ -963,13 +625,40 @@
 	overflow: auto;
 }
+
 .grid {
 	background: transparent repeat url('grid.png') 0 0;
 }
+
 .line p {
 	margin: 0;
 }
+
+div.error, p.error, div.message, p.message, div.static-msg, p.static-msg {
+	padding: 0.5em 0.5em 0.5em 40px;
+	margin-bottom: 1em;
+	-moz-border-radius: 8px;
+	-webkit-border-radius: 8px;
+	border-radius: 8px;
+}
+p.error, p.message, p.static-msg {
+	padding-top: 1em;
+	padding-bottom: 1em;
+}
+div.error, p.error {
+	background: #e5bfbf url(msg-error.png) no-repeat 5px 5px;
+	color: #600;
+}
+div.message, p.message, div.static-msg, p.static-msg {
+	background: #666 url(msg-std.png) no-repeat 5px 5px;
+	color: #fff;
+}
+div.message a, p.message a, div.static-msg a, p.static-msg a {
+	color: #fff;
+}
+
 .offline {
 	color: #666;
 }
+
 ul.nice {
 	margin: 1em 0;
@@ -981,9 +670,39 @@
 	padding: 0;
 }
-.zip-dl {
-	background: transparent url(package.png) no-repeat 0 50%;
-	padding: 5px 0 5px 20px;
-}
-/* pas trouvé dans le code */
+
+.three-cols {
+}
+.three-cols .col {
+	width: 32.3%;
+	float: left;
+	margin-left: 1%;
+}
+.three-cols .col:first-child {
+	width: 33.3%;
+	margin-left: 0;
+}
+.two-cols {
+	position: static;
+}
+.two-cols .col {
+	width: 49%;
+	margin-left: 2%;
+	float: left;
+}
+.two-cols .col:first-child {
+	width: 49%;
+	margin-left: 0;
+}
+.two-cols .col70{
+	width: 69%;
+	margin-left: 0;
+	float: left;
+}
+.two-cols .col30 {
+	width: 28%;
+	margin-left: 2%;
+	float: left;
+}
+
 .comment {
 	border-top: 2px solid #ccc;
@@ -998,4 +717,224 @@
 	right: 0;
 }
+
+/* -------- onglets ------ */
+.part-tabs ul {
+	padding: .3em 0 1px 1em;
+	border-bottom: 1px solid #999;
+}
+.part-tabs li {
+	list-style: none;
+	margin: 0;
+	display: inline;
+}
+.part-tabs li a {
+	padding: .3em 0.5em;
+	margin-right: .5em;
+	border: 1px solid #999;
+	border-bottom: none;
+	background: #dfdfdf;
+	text-decoration: none;
+	-webkit-border-top-left-radius: .3em;
+	-webkit-border-top-right-radius: .3em;
+	-moz-border-radius-topleft: .3em;
+	-moz-border-radius-topright: .3em;
+	border-top-left-radius: .3em;
+	border-top-right-radius: .3em;
+	color: #000;
+}
+.part-tabs li.part-tabs-link a {
+	background: #ffe;
+}
+.part-tabs li a:hover, .part-tabs li a:focus {
+	color: #000;
+	background: #fff;
+	border-bottom-color: #fff;
+}
+.part-tabs li.part-tabs-active a {
+	background: #fff;
+	border-bottom: 1px solid #fff;
+	color: #000;
+	font-weight: bold;
+}
+
+/* Themes list */
+#themes {
+	border-bottom: 1px solid #ccc;
+	margin: 1em 0;
+}
+#themes div.theme-details {
+	clear: left;
+	border-top: 1px solid #ccc;
+	padding: 1em 0;
+}
+#themes div.theme-details:hover {
+	background: #eee;
+}
+#themes div.theme-details div.theme-shot {
+	float: left;
+}
+#themes div.theme-details div.theme-shot img {
+	display: block;
+	width: 57px;
+	height: 50px;
+	border: 1px solid #ccc;
+}
+#themes div.theme-details div.theme-info {
+	margin-left: 67px;
+}
+#themes div.theme-details div.theme-info span.theme-desc {
+	display: block;
+}
+#themes div.theme-details div.theme-info span.theme-version {
+	color: #666;
+}
+#themes div.theme-details div.theme-actions {
+	margin-left: 67px;
+}
+/* Themes list, JS version */
+#themes-wrapper {
+}
+#theme-box {
+	border: 1px solid #999;
+	border-left: none;
+	padding: 5px;
+	float: right;
+	height: 420px;
+	width: 320px;
+	overflow: auto;
+}
+#theme-box div.theme-shot img {
+	display: block;
+	margin: 0 0 0 10px;
+	width: 280px;
+	height: 245px;
+	border: 1px solid #ccc;
+}
+#theme-box div.theme-info {
+	margin: 1em 0 0 10px;
+}
+#theme-box h3 {
+	margin: 0;
+}
+#theme-box div.theme-info span {
+	display: block;
+}
+#theme-box span.theme-version {
+	color: #666;
+}
+#theme-box span.theme-parent-ok {
+	color: #666;
+}
+#theme-box span.theme-parent-missing {
+	color: #c00;
+	font-weight:bold;
+}
+#theme-box div.theme-actions {
+	margin-left: 10px;
+}
+#themes-wrapper #themes {
+	border: 1px solid #999;
+	overflow: auto;
+	height: 420px;
+	padding: 5px;
+	margin: 0;
+}
+#themes div.theme-details-js {
+	float: left;
+	width: 120px;
+	height: 150px;
+	margin: 0 10px 20px;
+	padding: 10px 10px 0;
+	text-align: center;
+	background: #f3f3f3;
+	border: 1px solid #f3f3f3;
+	cursor: pointer;
+	-moz-border-radius: 4px;
+	-webkit-border-radius: 4px;
+	border-radius: 4px;
+}
+#themes div.theme-details-js label {
+	cursor: pointer;
+}
+#themes div.theme-details-js.theme-selected {
+	background: #E5E3DA;
+	border: 1px solid #999;
+}
+#themes div.theme-details-js div.theme-shot img {
+	width: 120px;
+	height: 105px;
+	border: 1px solid #fff;
+}
+#themes div.theme-details-js h3 {
+	font-family: inherit;
+	font-weight: normal;
+	margin: 0;
+	padding: 0;
+}
+
+/* Plugins list */
+#plugins td.action {
+	vertical-align: middle;
+}
+.media-list {
+	position: static;
+}
+.media-col-0 {
+	clear: left;
+}
+.media-item {
+	position: relative;
+	border-top: 1px solid #ccc;
+	margin-bottom: 1em;
+	padding: 5px 0;
+}
+div.media-list .media-item {
+	width: 49%;
+	float: left;
+	margin-right: 1%;
+}
+a.media-icon {
+	display: block;
+	border-bottom: none;
+	float: left;
+}
+.media-icon img {
+	display: block;
+}
+.media-item ul {
+	display: block;
+	list-style: none;
+	margin: 0 0 0 60px;
+	padding: 0;
+}
+li.media-action {
+	display: block;
+	position: absolute;
+	top: 5px;
+	right: 5px;
+	height: 16px;
+}
+li.media-action a {
+	border: none;
+}
+li.media-action form {
+	display: inline;
+}
+li.media-action input {
+	border: none;
+}
+
+.zip-dl {
+	background: transparent url(package.png) no-repeat 0 50%;
+	padding: 5px 0 5px 20px;
+}
+
+select.l10n option {
+	padding-left: 16px;
+}
+option.avail10n {
+	background: transparent url(../images/check-on.png) no-repeat 0 50%;
+}
+
 /* TABLES
 -------------------------------------------------------- */
@@ -1005,4 +944,8 @@
 	margin: 0 0 1em 0;
 }
+table caption {
+	position: absolute;
+	left: -9999px;
+}
 tr.line:hover {
 	background: #ddd;
@@ -1015,11 +958,32 @@
 	vertical-align: top;
 }
-th {
+thead th{
 	text-align: left;
-	border-bottom-color: #666;
-}
+	border-top: 1px solid #666;
+	border-bottom: 1px solid #666;
+}
+thead a, thead a:link, thead a:visited {
+	color: #000;
+	text-decoration: none;
+	border-bottom: 1px dotted #000;
+}
+thead th.asc {
+	padding-left: 15px;
+	background: transparent url(asc.png) no-repeat left center;
+}
+thead th.desc {
+	padding-left: 15px;
+	background: transparent url(desc.png) no-repeat left center;
+}
+tbody th {
+	text-align: left;
+	font-weight: normal;
+	border-bottom-color: #ccc;
+}
+
 .noborder td, td.noborder, .noborder th, th.noborder {
 	border-width: 0;
 }
+
 table .maximal, table.maximal {
 	width: 100%;
@@ -1028,8 +992,10 @@
 	width: 1px;
 }
+
 table .nowrap {
 	white-space: nowrap;
 	vertical-align: top;
 }
+
 td.status {
 	vertical-align: middle;
@@ -1071,5 +1037,16 @@
 }
 
-/* ----------------------------------------------------------------- FORMS */
+div.pagination {
+	padding-bottom: 1em;
+}
+div.pagination a {
+	margin: 0 0.3em 0 0.3em;
+}
+div.pagination span{
+	margin: 0 1em 0 1em;
+}
+
+/* FORMS
+-------------------------------------------------------- */
 form {
 	display: block;
@@ -1077,4 +1054,5 @@
 	padding: 0;
 }
+
 fieldset {
 	display: block;
@@ -1102,4 +1080,5 @@
 	font-weight: normal;
 }
+
 input, textarea, select {
 	background: #f9f9f9;
@@ -1128,4 +1107,5 @@
 	background: transparent;
 }
+
 label {
 	display: block;
@@ -1133,4 +1113,7 @@
 label input, label select, label span {
 	display: block;
+}
+#filters label {
+	display: inline;
 }
 p.form-note {
@@ -1167,4 +1150,5 @@
 	width: 100%;
 }
+
 label.required {
 	font-weight: bold;
@@ -1191,4 +1175,5 @@
 	top: 0;
 }
+
 label .maximal, textarea.maximal, input.maximal {
 	width: 100%;
@@ -1202,4 +1187,5 @@
 	padding-left: 20px;
 }
+
 fieldset.constrained {
 	margin: 0;
@@ -1209,5 +1195,34 @@
 }
 
-/* --------------------------------------------------------------- buttons */
+#login-screen {
+	display: block;
+	width: 18em;
+	margin: 1.5em auto 0;
+	font-size: 1.1em;
+}
+#login-screen h1 {
+	text-indent: -2000px;
+	background: transparent url(dotclear-logo2.png) no-repeat top left;
+	height: 50px;
+	margin-bottom: .5em;
+}
+#login-screen fieldset {
+	border: 1px solid #999;
+	padding: 1em 1em 0 1em;
+	-moz-border-radius: 4px;
+	-webkit-border-radius: 4px;
+	border-radius: 4px;
+}
+#login-screen input[type=text], #login-screen input[type=password], #login-screen input[type=submit] {
+	width: 100%;
+}
+#login-screen #issue {
+	margin-left: 1em;
+	font-size: 1em;
+}
+#login-screen #issue strong {font-weight: normal;}
+
+
+/* ------------------  Tous les boutons -------------------- */
 h2 a.button {
 	color: #333;
@@ -1321,2 +1336,23 @@
 	background-color: #2373A8;
 }
+
+form#filters {font-size: 100%; background: #f0f0f0; padding: 1em; border-radius: .5em; border: 1px solid #ddd;}
+form#filters .margintop {padding-top: 1.33em;}
+form#filters ul {list-style-type:none;margin: 0; padding: 0; margin-left: 1em;}
+form#filters .col30 {border-left: 1px solid #999;}
+form#filters .col30 h3 {margin-left: 1em;}
+p.line, li.line { position: relative; padding: 3px 0 0 28px; margin: 0 0 1em 0;}
+li.line input[type=submit] {position: absolute; left:0;top:0; padding: 0 .1em; margin: 0;}
+li.line input[type=checkbox], li.line input[type=checkbox] {position: absolute; left: 0; top: .2em; padding: 0 .1em; margin: 0;}
+li.line select { margin-right: 2em;}
+li.line label { display: block; width: 8em; float: left;}
+li.line label img {margin-right: 8px;}
+li.line span.or {
+	text-align: right;
+	margin-left: 5em;
+	font-weight: bold;
+}
+p.line label.or + select {margin-left: 2em;}
+li.line { padding: 0 0 0 20px; height: 1em;}
+li.line label {width: auto;}
+#available_filters input[type=submit] {padding: 0 .1em; margin-left: .5em;}