Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1399)
+++ admin/style/default.css	(revision 1413)
@@ -36,5 +36,5 @@
 }
 
-h1, h2, h3, .as_h3, h4, h5, h6, p {
+h1, h2, h3, h4, h5, h6, p {
 	margin-top: 0;
 	margin-bottom: 1rem;
@@ -58,15 +58,7 @@
 	background: #fff url(bg_h2.png) repeat-x center bottom;
 }
-h3, .as_h3 {
+h3 {
 	color: #575859;
 	font-size: 1.4rem;
-}
-h4 {
-	font-size: 1.1em;
-	color: #575859;
-}
-h5 {
-	font-size: 1em;
-	color: #575859;
 }
 p, div.p {
@@ -260,6 +252,6 @@
 /* -------------------------------------------------------------- layout - onglets */
 .part-tabs ul {
-	padding: .5em 0 .3em 1.2rem;
-	border-bottom: 1px solid #ddd;
+	padding: .5em 0 .3em 1em;
+	border-bottom: 1px solid #ccc;
 }
 .part-tabs li {
@@ -269,11 +261,18 @@
 }
 .part-tabs li a {
-	padding: .5em 2em;
-	margin-right: -1px;
+	padding: .5em 0.5em;
+	margin-right: .5em;
 	border: 1px solid #ccc;
 	border-bottom: none;
+	background: #dfdfdf;
 	text-decoration: none;
-	color: #333;
-	background-color:#eef;
+	color: #000;
+	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #dfdfdf), color-stop(1, #fafafa) );
+	background:-moz-linear-gradient( center top, #dfdfdf 5%, #fafafa 100% );
+	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#dfdfdf', endColorstr='#fafafa');
+	background-color:#ededed;
+}
+.part-tabs li.part-tabs-link a {
+	background: #ffe;
 }
 .part-tabs li a:hover, .part-tabs li a:focus {
@@ -284,4 +283,6 @@
 .part-tabs li.part-tabs-active a {
 	background: #fff;
+	border: 1px solid #d30e60;
+	color: #d30e60;
 	font-weight: bold;
 	border-bottom-color: #fff;
@@ -317,7 +318,4 @@
 	background-repeat: no-repeat;
 	background-position: 8px .3em;
-}
-#main-menu li.active {
-	background-color: #fff;
 }
 #main-menu a {
@@ -358,5 +356,5 @@
 	background: #dfdfdf;
 	border-color: #999;
-	color: #444;
+	color: #666;
 	border-bottom-right-radius: .6em;
 	border-top-right-radius: .6em;
@@ -380,5 +378,7 @@
 	color: #000;
 	font-variant: small-caps;
-	padding-top: .6rem;
+}
+#favorites-menu a {
+	color: #333;
 }
 /* ------------------------------------------------------------------ footer */
@@ -416,5 +416,4 @@
 	padding: 1em 1em 0 1em;
 	border-radius: 4px;
-	background: #fff;
 }
 #login-screen legend {
@@ -433,5 +432,13 @@
 /* ------------------------------------------------------------------ dashboard */
 #dashboard-main {
+	float: left;
+	overflow: hidden;
+	padding: 1em 2% 1em 0;
+	width: 70%;
+}
+#dashboard-main.fullwidth {
+	width: 100%;
 	padding: 1em 0;
+	float: none;
 }
 #icons {
@@ -443,8 +450,6 @@
 	width: 210px;
 	text-align: center;
-	margin: 1em 0 2em;
-	padding: 1em 0;
+	margin: 2em 0;
 	display:inline-block;
-	vertical-align: top;
 }
 #icons a,
@@ -458,15 +463,4 @@
 #icons a span {
 	border-bottom: 1px dotted #f90;
-	color: #333;
-}
-#icons a img {
-	padding: 2em;
-	background: #eee;
-	border-radius: 1.6rem;
-	box-shadow: 0 3px 3px 0 #ccc;
-	margin-bottom: .6rem;
-}
-#icons a img:hover, #icons a:focus img {
-	background-color: #BBDB58;
 }
 #icons a:focus span, #icons a:hover span {
@@ -474,4 +468,5 @@
 }
 #quick {
+	clear: left;
 	margin-top: 2em;
 }
@@ -488,14 +483,9 @@
 }
 #dashboard-items {
-	margin: 3em auto;
-	display: table;
-	width: 100%;
-	border-collapse: collapse;
-}
-.db-item {
-	display: table-cell;
-	padding: 1em 3em;
-	vertical-align: top;
-	border: 1px solid #ccc;
+	float: left;
+	width: 27%;
+	overflow: hidden;
+	padding-bottom: 1em;
+	padding-top: 3em;
 }
 #dashboard-items img {
@@ -538,13 +528,5 @@
 #entry-content {
 	margin-right: 19em;
-	margin-left: 0;
-}
-.multi-part {
-	padding-left: 1.2rem;
-}
-#entry-content label {
-	text-transform: uppercase;
-	font-weight: bold;
-	margin-top: 2em;
+	margin-left: 1.2rem;
 }
 #entry-sidebar {
@@ -552,14 +534,11 @@
 	float: right;
 }
-#entry-sidebar input[type="text"],
-#entry-sidebar select {
-	width: 14em; /* to prevent inline with label */
-}
-.box {
-	border-bottom: 1px solid #ddd;
-	margin-bottom: 1em;
-}
 #comments {
 	clear: both;
+}
+.preview_entry a {
+	border: 1px solid #ccc;
+	padding: .2rem .5rem;
+	background: #eef;
 }
 /* ------------------------------------------------------------------ categories */
@@ -970,4 +949,7 @@
 	color: #fff;
 }
+#content > .message, #content > .error {
+	margin-right: 14em
+}
 /* ------------------------------------------------------------------ navigation */
 .anchor-nav {
@@ -976,25 +958,4 @@
 	padding: .4rem 1.2rem;
 	float: right;
-}
-.nav_prevnext {
-	margin-bottom: 2em;
-	color: #fff;
-}
-.nav_prevnext a, a.back {
-	border: 1px solid #ddd;
-	padding: .2rem 2rem;
-	border-radius: 1rem;
-	background-color: #eee;
-}
-a.back:before {
-	content: "\ab\a0";
-}
-a.onblog_link {
-	color: #333;
-	float: right;
-	border: 1px solid #eee;
-	padding: .2rem 2rem;
-	border-radius: 1rem;
-	background-color: #ffe;
 }
 /* ------------------------------------------------------------------ debug */
@@ -1021,12 +982,8 @@
 /* -------------------------------------------------------------------- CLASSES COMMUNES */
 
-.no-margin, #entry-content label.no-margin {
-	margin: 0;
-}
-.border-top {
-	border-top: 1px solid #999;
-	padding-top: 1em;
-	margin-top:	1em;
-}
+.no-margin {
+	margin: 0;
+}
+
 /* paragraphe pour bouton Nouveau bidule */
 p.top-add {
@@ -1159,9 +1116,4 @@
 table.settings, table.prefs {
 	width: 80%;
-	border: 1px solid #999;
-	margin-bottom: 3em; 
-}
-table.settings th, table.prefs th {
-	background: #eef;
 }
 table.settings th:first-child, table.prefs th:first-child {
@@ -1177,4 +1129,5 @@
 	width: 40%;
 }
+
 td.status {
 	vertical-align: middle;
@@ -1215,4 +1168,5 @@
 	padding-left: 15px;
 }
+
 /* ----------------------------------------------------------------- FORMS */
 form {
@@ -1230,7 +1184,4 @@
 	background: #f5f5f5;
 }
-.fieldset {
-	background: #eef;
-}
 legend {
 	font-weight: bold;
@@ -1239,5 +1190,5 @@
 	border-style: solid;
 	border-color: #ccc;
-	background: #eef;
+	background: #f5f5f5;
 	margin-bottom: 0.5em;
 }
@@ -1292,5 +1243,4 @@
 	font-style:italic;
 	font-weight: normal;
-	text-transform: none;
 	color: #666;
 }
@@ -1309,7 +1259,4 @@
 .form-note a {border-bottom: 1px solid #99f;}
 
-label.ib {
-	display: inline-block;
-}
 label.classic {
 	display: inline;
@@ -1378,4 +1325,5 @@
 input[type=button],
 a.button,
+a.back,
 a.submit {
 	display: inline-block;
@@ -1389,6 +1337,4 @@
 	margin-bottom: .1em;
 }
-h4 a.button {font-weight: normal;}
-
 /* validation */
 input[type=submit],
@@ -1415,4 +1361,5 @@
 /* suppression et reset */
 a.button,
+a.back,
 input[type=submit].reset,
 input[type=submit].delete {
@@ -1425,8 +1372,10 @@
 	}
 a.button:hover,
+a.back:hover,
 input[type=reset]:hover,
 input[type=submit].reset:hover,
 input[type=submit].delete:hover,
 a.button:focus,
+a.back:focus,
 input[type=reset]:focus,
 input[type=submit].reset:focus,
@@ -1441,5 +1390,5 @@
 input[type=submit].delete {
 	color: #c00;
-	padding-bottom: .2rem;
+	padding-bottom: .1em;
 }
 #entry-content .delete {
@@ -1462,4 +1411,7 @@
 	margin-left: 2em;
 }
+a.back:before {
+	content: "\ab\a0";
+}
 .button.add {
 	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #9dce2c), color-stop(1, #8cb82b) );
@@ -1469,4 +1421,5 @@
 	border:1px solid #83c41a;
 	padding:.6rem 1.8rem;
+	text-shadow:1px 1px 0 #689324;
 	color: #000;
 	text-shadow: 1px 1px 0 #BBDB58;
@@ -1483,4 +1436,8 @@
 .button-add:focus {
 	outline: dotted 1px;
+}
+.button.add:active {
+	position:relative;
+	top:1px;
 }
 
@@ -1522,6 +1479,5 @@
 ---------------------------------------------------------------------------- */
 @media screen and (max-width: 920px) {
-	#top, #top h1 a {width: 42px !important; height:100%; overflow: hidden;
-}
+	#top, #top h1 a {width: 42px !important; height:100%; overflow: hidden;}
 	#top h1 a:link {
 		background: transparent url(dc_logos/b-dotclear120.png) no-repeat -180px 6px; 
@@ -1541,5 +1497,4 @@
 		line-height: 3.2rem;
 	}
-	#info-box1 {margin-left: 1rem;}
 	#info-box1 select {width: 14rem;}
 	#main-menu, #main, #content, #content h2, #entry-wrapper, #entry-sidebar, #entry-content, .two-cols .col, .two-cols .col:first-child {
@@ -1560,6 +1515,5 @@
 	.smallscreen {display: none;}
 	#help-button {width:20px; overflow: hidden;}
-	#info-box2 {float:none;}
-	#dashboard-items div {display: block;margin-bottom: 1em; padding: 0 1em;}
+	#info-box1 {margin-left: 1rem;}
 }
 @media screen and (max-width: 492px) {
@@ -1568,5 +1522,4 @@
 	.page-title, #info-boxes, .media-item {display: inline-block;}
 	div.media-list .media-item {width: 90%; float: none}
-	#info-box1 select {width: 12rem; margin-right: .6rem;}
 	#info-box1 p.nomobile, label.nomobile {display: none;}
 	#help-button {height:26px; width:26px; background-color: #A2CBE9; padding: 0; margin:0;font-size: 1rem;line-height: 68px}
Index: admin/style/jsToolBar/jsToolBar.css
===================================================================
--- admin/style/jsToolBar/jsToolBar.css	(revision 1399)
+++ admin/style/jsToolBar/jsToolBar.css	(revision 1065)
@@ -2,5 +2,6 @@
 	border-width : 0 1px 1px 1px;
 	border-style : solid;
-	border-color : #ccc;
+	border-color : #000 #ccc #ccc #000;
+	padding-left: 5px;
 	background : #f9f9f9;
 }
@@ -8,10 +9,6 @@
   margin: 0;
   border: 0;
-  padding: 0;
 }
-.jstEditor textarea {
-  width: 99%;
-  padding: 1rem 0 0 1%;
-}
+
 .jstHandle {
 	height: 8px;
@@ -25,17 +22,9 @@
 
 .jstElements {
-	height: 28px;
-	padding: 0 1rem; 
-	border: 1px solid #ccc;
-	overflow: hidden; 
-	background: #e1e1e1; 
-	background: -moz-linear-gradient(center top , #f2f2f2, #e1e1e1); 
-	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#f2f2f2), color-stop(100%,#e1e1e1)); 
-	-moz-border-radius: 4px 4px 0 0; 
-	-webkit-border-radius: 4px 4px 0 0; 
-	border-radius: 4px 4px 0 0; 
-	-webkit-box-shadow: 0 1px 0 #FFF inset; 
-	-moz-box-shadow: 0 1px 0 #FFF inset; 
-	box-shadow: 0 1px 0 #FFF inset;
+	padding: 3px 3px;
+	border-width: 1px 1px 0 1px;
+	border-style: solid;
+	border-color: #000 #ccc #ccc #000;
+	background: #dfdfdf;
 }
 
@@ -45,12 +34,13 @@
 .jstElements select {
 	width: 12em;
-	margin-right: .6rem;
 }
 .jstElements button {
-	width : 30px;
-	height: 28px;
-	border-style: groove;
-	border-width:  0 1px 0 0;
-	border-color: #666;
+	margin-right : 2px;
+	width : 20px;
+	height: 20px;
+	padding: 0;
+	border-style: solid;
+	border-width: 1px;
+	border-color: #dfdfdf;
 	background-color : transparent;
 	background-position : 50% 50%;
@@ -65,16 +55,11 @@
 }
 .jstElements span {
-	display : inline-block;
-	vertical-align: top;
-	background: #dfdfdf;
+	display : inline;
 }
 
 .jstSpacer {
-	width : 2px;
-	height: 28px;
-	margin-right: 0;
-	border-style: groove;
-	border-width:  0 1px 0 0;
-	border-color: #666;
+	width : 0px;
+	font-size: 1px;
+	margin-right: 4px;
 }
 