Index: themes/ductile/locales/fr/help/help.html
===================================================================
--- themes/ductile/locales/fr/help/help.html	(revision 634)
+++ themes/ductile/locales/fr/help/help.html	(revision 640)
@@ -15,17 +15,17 @@
 
 <p>Cochez la case qui suit « Cacher la description du blog » pour ne pas afficher la description du blog habituellement affichée sous le titre.</p>
-<p>Vous pouvez, si l'extension « Menu Simple » est installée et active, cliquez sur le lien indiqué pour paramétrer le menu affiché en entête.</p>
+<p>Vous pouvez, si l'extension « Menu Simple » est installée et active, cliquer sur le lien indiqué pour paramétrer le menu affiché en entête.</p>
 
-<h4>Étiquettes</h4>
+<h4>Étiquettes (« stickers »)</h4>
 
-<p>Les étiquettes sont représentées par des rubans dont le contenu et la découpe diffèrent légèrement. Pour chaque image correspondant au schéma <code>sticker-*.png</code> et se trouvant dans le sous-répertoire <code>img</code> du thème, vous pouvez indiquer un libellé et l'URL correspondante. Laissez un de ces deux champs vide pour ne pas l'utiliser.</p>
+<p>Les étiquettes s'afficheront en haut de l'écran sous forme d'imagettes sur les écrans larges et en bas de la page sous forme de boutons sur les tout petits écrans. Toutes les images dont le nom de fichier correspond au schéma <code>sticker-*.png</code> et se trouvant dans le sous-répertoire <code>img</code> du thème sont listées. Vous pourrez indiquer pour chacune un libellé et l'URL correspondante. (Laissez l'un de ces deux champs vide pour ne pas l'afficher.)</p>
 
-<p>Vous pouvez également modifier l'ordre d'affichage par tiré-lâché si javascript est actif et que vous ne l'avez pas interdit dans vos préférences. Autrement vous avez à votre disposition un champs supplémentaire qui vous permet d'indiquer l'ordre d'affichage (de 1 à n).</p>
+<p>Vous pouvez également modifier l'ordre d'affichage par tiré-lâché si javascript est actif et que vous ne l'avez pas interdit dans vos préférences. Si javascript est désactivé, un champ supplémentaire permet d'indiquer l'ordre d'affichage (de 1 à n).</p>
 
 <h4>Types et limites des listes de billets</h4>
 
-<p>Certains contextes d'affichage de votre blog se présente sous la forme d'une liste de billets. C'est le cas par exemple pour la page d'accueil ou bien pour les archives mensuelles. Pour chacun des contextes listé dans le tableau vous pouvez précisez si le contenu de chacun des billets affichés doit l'être sous la forme d'un titre uniquement, d'une forme réduite (extrait ou les 300 premiers caractères) ou sous leur forme complète.</p>
+<p>Certains contextes d'affichage de votre blog se présentent sous la forme d'une liste de billets. C'est le cas par exemple pour la page d'accueil ou bien pour les archives mensuelles. Pour chacun des contextes listés dans le tableau vous pouvez préciser si le contenu de chacun des billets affichés doit l'être sous la forme d'un titre uniquement, d'une forme réduite (contenu du champ Extrait ou les 300 premiers caractères) ou sous leur forme complète. À noter : à l'accueil, le premier billet s'affiche systématiquement en entier.</p>
 
-<p>De plus, pour certains de ces contextes, vous pouvez également indiquer le nombre de billets affichés par page. Si vous laissez ce champs libre c'est la valeur précisée dans les paramètres du blog qui sera utilisée.</p>
+<p>De plus, pour certains de ces contextes, vous pouvez également indiquer le nombre de billets affichés par page. Si vous laissez ce champ vide c'est la valeur précisée dans les paramètres du blog qui sera utilisée.</p>
 
 <h3>Personnalisation de la présentation</h3>
@@ -37,7 +37,7 @@
 <p>Ces paramètres seront utilisés quelle que soit la largeur d'affichage du blog.</p>
 
-<h5>Polices de caractère</h5>
+<h5>Polices de caractères</h5>
 
-<p>Vous pouvez ici choisir une famille principale de police de caractère qui sera utilisée pour l'essentiel des textes. Vous pouvez également sélectionner une seconde famille (secondaire) qui sera utilisée pour certains titres de second niveau. L'option « Par défaut » permet de laisser le choix prévu à l'origine.</p>
+<p>Vous pouvez ici choisir la famille principale de police de caractères qui sera utilisée pour l'essentiel des textes. Vous pouvez également sélectionner une seconde famille (secondaire) qui sera utilisée pour certains titres de second niveau et les commentaires. L'option « Par défaut » permet de laisser le choix prévu à l'origine.</p>
 
 <h5>Titre du blog</h5>
@@ -55,11 +55,11 @@
 <h5>Titres sans lien</h5>
 
-<p>Vous pouvez indiquer ici la couleur des titres sans lien (essentiellement les intertitres présents dans vos billets) en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>
+<p>Vous pouvez indiquer ici la couleur des titres sans lien (essentiellement : le titre du billet lorsqu'il est affiché seul, les intertitres au sein des billets, l'item actif du menu horizontal) en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>
 
-<p>Videz le champs pour annuler votre choix et revenir à celui défini à l'origine.</p>
+<p>Videz le champ pour annuler votre choix et revenir à celui défini à l'origine.</p>
 
 <h5>Liens dans les billets</h5>
 
-<p>Vous pouvez indiquer ici si les liens dans les billets doivent être affichés en gras ou pas, que leurs couleurs normales et visitées, ainsi que actifs, survolés et ayant le focus en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>
+<p>Vous pouvez indiquer ici si les liens cités dans les billets doivent être affichés en gras ou non et définir leur couleur à l'état normal et déjà visités, leur couleur à l'état actif, ou lorsqu'ils sont survolés ou prennent le focus en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>
 
 <p>Videz un ou tous les champs pour annuler votre choix et revenir à celui défini à l'origine.</p>
@@ -67,5 +67,5 @@
 <h4>Paramètres spécifiques pour les mobiles</h4>
 
-<p>Ces paramètres seront utilisés uniquement lorsque la largeur de l'affichage sera inférieure à 480 pixels, soit sur les mobiles. Ils viendront remplacer, s'il sont précisés, les paramètres de même nature décrit dans la partie générale ci-dessus.</p>
+<p>Ces paramètres seront utilisés uniquement lorsque la largeur de l'affichage sera inférieure à 480 pixels (par exemple sur les mobiles). Ils viendront remplacer, s'il sont précisés, les paramètres de même nature décrits dans la partie générale ci-dessus.</p>
 
 <h5>Titre du blog</h5>
@@ -75,5 +75,5 @@
 <p>Videz un ou tous les champs pour annuler votre choix et revenir à celui défini à l'origine.</p>
 
-<h5>Titre des billets</h5>
+<h5>Titres des billets</h5>
 
 <p>Vous pouvez indiquer ici si les titres des billets doivent être affichés en gras ou pas, leur taille (en <em>em</em> par défaut, les unités reconnues sont %, pt, px, em et ex) ainsi que leur couleur en utilisant le <em>Color Picker</em> accessible en cliquant sur la pipette ou en précisant directement la couleur en utilisant le format <code>#rrggbb</code> avec rr, gg et bb compris entre 0 et ff.</p>