Index: .editorconfig
===================================================================
--- .editorconfig	(revision 3671)
+++ .editorconfig	(revision 3610)
@@ -7,5 +7,4 @@
 #
 # 1. Franck: creation (2017-12-04)
-# 2. Franck: PSR-2 for PHP, add specific extension settings (2018-01-19)
 
 # top-most EditorConfig file
@@ -18,23 +17,7 @@
 charset = utf-8
 indent_style = tab
-indent_size = 4
 trim_trailing_whitespace = true
-
-# PHP
-[*.php,*.tpl]
-indent_style = space
-indent_size = 4
-
-# Javascript/JSon
-[*.js,*.json]
-indent_style = space
-indent_size = 4
 
 # Markdown
 [*.md]
 trim_trailing_whitespace = false
-
-# XML
-[*.xml]
-indent_style = space
-indent_size = 2
Index: .hgignore
===================================================================
--- .hgignore	(revision 3671)
+++ .hgignore	(revision 3277)
@@ -6,3 +6,3 @@
 build-tools/ckeditor/ckbuilder.jar
 syntax: glob
-var
+csp_report.txt
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 3669)
+++ admin/style/default.css	(revision 3639)
@@ -3282,20 +3282,4 @@
     border-top: none; } }
 /** --------------------------------------------------
-	Plugins
---------------------------------------------------- */
-/* dcLegacyEditor */
-/* WYSIWYG Document */
-body.wysiwygDoc {
-  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif; }
-
-.wysiwygDoc pre, .wysiwygDoc code, .wysiwygDoc kbd, .wysiwygDoc samp {
-  font-family: "Andale Mono", AndaleMono, Consolas, Monaco, "Courier New", monospace; }
-
-/* dcCKEditor */
-.cke textarea.cke_source {
-  font-family: "Andale Mono", AndaleMono, Consolas, Monaco, "Courier New", monospace;
-  font-size: 100%; }
-
-/** --------------------------------------------------
 	3rd parties
 --------------------------------------------------- */
@@ -3648,9 +3632,4 @@
     padding-left: 6px;
     padding-right: 6px; } }
-/* CodeMirror CSS */
-.CodeMirror {
-  /* Set height, width, borders, and global font properties here */
-  font-family: "Andale Mono", AndaleMono, Consolas, Monaco, "Courier New", monospace !important; }
-
 /** --------------------------------------------------
     Debug
Index: admin/style/scss/default.scss
===================================================================
--- admin/style/scss/default.scss	(revision 3669)
+++ admin/style/scss/default.scss	(revision 3389)
@@ -78,13 +78,7 @@
 
 /** --------------------------------------------------
-	Plugins
---------------------------------------------------- */
-@import "partials/editors";
-
-/** --------------------------------------------------
 	3rd parties
 --------------------------------------------------- */
 @import "vendor/magnific-popup";
-@import "vendor/codemirror";
 
 /** --------------------------------------------------
Index: dmin/style/scss/partials/_editors.scss
===================================================================
--- admin/style/scss/partials/_editors.scss	(revision 3669)
+++ 	(revision )
@@ -1,16 +1,0 @@
-/* dcLegacyEditor */
-
-/* WYSIWYG Document */
-body.wysiwygDoc {
-	font-family: $sans-serif;
-}
-.wysiwygDoc pre, .wysiwygDoc code, .wysiwygDoc kbd, .wysiwygDoc samp {
-	font-family: $monospace;
-}
-
-/* dcCKEditor */
-
-.cke textarea.cke_source {
-	font-family: $monospace;
-	font-size: 100%;
-}
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 3639)
+++ inc/admin/lib.dc.page.php	(revision 3672)
@@ -1078,8 +1078,8 @@
 			'	mode: "'.$mode.'",'."\n".
 			'	tabMode: "indent",'."\n".
-			'	lineWrapping: "true",'."\n".
-			'	lineNumbers: "true",'."\n".
-			'	matchBrackets: "true",'."\n".
-			'	autoCloseBrackets: "true",'."\n".
+			'	lineWrapping: 1,'."\n".
+			'	lineNumbers: 1,'."\n".
+			'	matchBrackets: 1,'."\n".
+			'	autoCloseBrackets: 1,'."\n".
 			'	extraKeys: {"F11": function(cm) {cm.setOption("fullScreen",!cm.getOption("fullScreen"));}}';
 		if ($theme) {
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 3667)
+++ inc/prepend.php	(revision 3650)
@@ -144,5 +144,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.14-dev');
+define('DC_VERSION','2.13');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: plugins/dcCKEditor/_post_config.php
===================================================================
--- plugins/dcCKEditor/_post_config.php	(revision 3670)
+++ plugins/dcCKEditor/_post_config.php	(revision 3641)
@@ -251,11 +251,7 @@
 			}
 		}
-
 	});
 
 	CKEDITOR.on('instanceReady',function(e) {
-		if (typeof dotclear_htmlFontSize !== 'undefined') {
-			e.editor.document.$.documentElement.style.setProperty('--html-font-size',dotclear_htmlFontSize);
-		}
 
 		if ($('label[for="post_excerpt"] a img').attr('src') == dotclear.img_minus_src) {
Index: plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php
===================================================================
--- plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 3669)
+++ plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 3421)
@@ -32,5 +32,5 @@
         }
 
-        $res =
+        return
             '<script type="text/javascript">'."\n".
             dcPage::jsVar('dotclear.ckeditor_context', $context).
@@ -58,13 +58,4 @@
             dcPage::jsLoad(self::$p_url.'/js/ckeditor/adapters/jquery.js').
             dcPage::jsLoad($config_js);
-
-		if ($GLOBALS['core']->auth->user_prefs->interface->htmlfontsize) {
-			$res .=
-			'<script type="text/javascript">'."\n".
-			dcPage::jsVar('dotclear_htmlFontSize',$GLOBALS['core']->auth->user_prefs->interface->htmlfontsize)."\n".
-			"</script>\n";
-		}
-
-		return $res;
 	}
 
Index: plugins/dcCKEditor/js/ckeditor/contents.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/contents.css	(revision 3669)
+++ plugins/dcCKEditor/js/ckeditor/contents.css	(revision 3616)
@@ -27,23 +27,4 @@
 	word-wrap: break-word;
 }
-
-/* Dotclear */
-:root {
-	--html-font-size: 62.5%; }
-
-html {
-	font-size: 62.5%;
-	font-size: var(--html-font-size); }
-
-body {
-	font-size: 1.4rem;
-	line-height: 1.5;
-	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
-}
-.cke_editable
-{
-	font-size: 1.4rem;
-}
-/* End Dotclear */
 
 blockquote
Index: plugins/dcLegacyEditor/css/jsToolBar/jsToolBar.css
===================================================================
--- plugins/dcLegacyEditor/css/jsToolBar/jsToolBar.css	(revision 3669)
+++ plugins/dcLegacyEditor/css/jsToolBar/jsToolBar.css	(revision 3602)
@@ -168,4 +168,5 @@
 /* WYSIWYG Document */
 body.wysiwygDoc {
+	font: 12px "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;
 	color : #000;
 	background: #f9f9f9;
@@ -173,4 +174,8 @@
 	padding : 2px;
 	border: none;
+}
+.wysiwygDoc pre, .wysiwygDoc code, .wysiwygDoc kbd, .wysiwygDoc samp {
+	font-family:"Courier New",Courier,monospace;
+	font-size : 1.1em;
 }
 .wysiwygDoc code {
Index: plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php
===================================================================
--- plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php	(revision 3669)
+++ plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php	(revision 3421)
@@ -69,4 +69,5 @@
 		"jsToolBar.prototype.iframe_css = '".
 		'body {'.
+		'	font: 12px "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;'.
 		'	color: #000;'.
 		'	background: #f9f9f9;'.
@@ -75,4 +76,8 @@
 		'	border: none;'.
 		(l10n::getTextDirection($GLOBALS['_lang']) == 'rtl' ? '	direction: rtl;' : '').
+		'}'.
+		'pre, code, kbd, samp {'.
+		'	font-family: "Courier New",Courier,monospace;'.
+		'	font-size: 1.1em;'.
 		'}'.
 		'code {'.
@@ -135,11 +140,4 @@
 		"</script>\n";
 
-		if ($GLOBALS['core']->auth->user_prefs->interface->htmlfontsize) {
-			$res .=
-			'<script type="text/javascript">'."\n".
-			dcPage::jsVar('dotclear_htmlFontSize',$GLOBALS['core']->auth->user_prefs->interface->htmlfontsize)."\n".
-			"</script>\n";
-		}
-
 		return $res;
 	}
Index: plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.wysiwyg.js
===================================================================
--- plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.wysiwyg.js	(revision 3669)
+++ plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.wysiwyg.js	(revision 3258)
@@ -165,5 +165,4 @@
 		'<html>\n'+
 		'<head>\n'+
-		'<link rel="stylesheet" href="style/default.css" type="text/css" media="screen" />'
 		'<style type="text/css">'+This.iframe_css+'</style>\n'+
 		(This.base_url != '' ? '<base href="'+This.base_url+'" />' : '')+
@@ -178,8 +177,4 @@
 			doc.designMode = 'on';
 			// warning : doc is now inaccessible for IE6 sp1
-		}
-
-		if (typeof dotclear_htmlFontSize !== 'undefined') {
-			doc.documentElement.style.setProperty('--html-font-size',dotclear_htmlFontSize);
 		}
 
Index: plugins/themeEditor/_admin.php
===================================================================
--- plugins/themeEditor/_admin.php	(revision 3333)
+++ plugins/themeEditor/_admin.php	(revision 3672)
@@ -103,8 +103,8 @@
 	    		mode: "javascript",
 	       		tabMode: "indent",
-	       		lineWrapping: "true",
-	       		lineNumbers: "true",
-	   			matchBrackets: "true",
-	   			autoCloseBrackets: "true",
+	       		lineWrapping: 1,
+	       		lineNumbers: 1,
+	   			matchBrackets: 1,
+	   			autoCloseBrackets: 1,
 	   			theme: "'.($core->auth->user_prefs->interface->colorsyntax_theme != '' ? $core->auth->user_prefs->interface->colorsyntax_theme : 'default').'"
 	   		});