Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 1280)
+++ admin/js/_post.js	(revision 1353)
@@ -149,4 +149,5 @@
 		var a = document.createElement('a');
 		a.href = '#';
+		a.className = 'button';
 		$(a).click(function() {
 			var params = {
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 1346)
+++ admin/post.php	(revision 1353)
@@ -133,5 +133,5 @@
 		if ($next_rs !== null) {
 			$next_link = sprintf($post_link,$next_rs->post_id,
-				html::escapeHTML($next_rs->post_title),__('next entry').'&nbsp;&#187;');
+				html::escapeHTML($next_rs->post_title),__('Next entry').'&nbsp;&#187;');
 			$next_headlink = sprintf($post_headlink,'next',
 				html::escapeHTML($next_rs->post_title),$next_rs->post_id);
@@ -140,5 +140,5 @@
 		if ($prev_rs !== null) {
 			$prev_link = sprintf($post_link,$prev_rs->post_id,
-				html::escapeHTML($prev_rs->post_title),'&#171;&nbsp;'.__('previous entry'));
+				html::escapeHTML($prev_rs->post_title),'&#171;&nbsp;'.__('Previous entry'));
 			$prev_headlink = sprintf($post_headlink,'previous',
 				html::escapeHTML($prev_rs->post_title),$prev_rs->post_id);
@@ -337,14 +337,14 @@
 	switch ($post_status) {
 		case 1:
-			$img_status = sprintf($img_status_pattern,__('published'),'check-on.png');
+			$img_status = sprintf($img_status_pattern,__('Published'),'check-on.png');
 			break;
 		case 0:
-			$img_status = sprintf($img_status_pattern,__('unpublished'),'check-off.png');
+			$img_status = sprintf($img_status_pattern,__('Unpublished'),'check-off.png');
 			break;
 		case -1:
-			$img_status = sprintf($img_status_pattern,__('scheduled'),'scheduled.png');
+			$img_status = sprintf($img_status_pattern,__('Scheduled'),'scheduled.png');
 			break;
 		case -2:
-			$img_status = sprintf($img_status_pattern,__('pending'),'check-wrn.png');
+			$img_status = sprintf($img_status_pattern,__('Pending'),'check-wrn.png');
 			break;
 		default:
@@ -362,5 +362,5 @@
 
 if ($post_id && $post->post_status == 1) {
-	echo '<p><a class="preview_link" href="'.$post->getURL().'" onclick="window.open(this.href);return false;" title="'.$post_title.' ('.__('new window').')'.'">'.__('Go to this entry on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
+	echo '<p><a class="onblog_link" href="'.$post->getURL().'" onclick="window.open(this.href);return false;" title="'.$post_title.' ('.__('new window').')'.'">'.__('Go to this entry on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
 }
 if ($post_id)
@@ -394,9 +394,10 @@
 	
 	echo
-	'<p class="col"><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
+	'<p class="col"><label class="required no-margin"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
 	form::field('post_title',20,255,html::escapeHTML($post_title),'maximal').
 	'</p>'.
 	
-	'<p class="area" id="excerpt-area"><label for="post_excerpt">'.__('Excerpt:').'</label> '.
+	'<p class="area" id="excerpt-area"><label for="post_excerpt">'.__('Excerpt:').'<span class="form-note">'.
+	__('Add an introduction to the post.').'</span></label> '.
 	form::textarea('post_excerpt',50,5,html::escapeHTML($post_excerpt)).
 	'</p>'.
@@ -407,5 +408,6 @@
 	'</p>'.
 	
-	'<p class="area" id="notes-area"><label for="post_notes">'.__('Personal notes:').'</label>'.
+	'<p class="area" id="notes-area"><label for="post_notes">'.__('Personal notes:').'<span class="form-note">'.
+	__('Add unpublished notes.').'</span></label>'.
 	form::textarea('post_notes',50,5,html::escapeHTML($post_notes)).
 	'</p>';
@@ -415,5 +417,5 @@
 	
 	echo
-	'<p>'.
+	'<p class="border-top">'.
 	($post_id ? form::hidden('id',$post_id) : '').
 	'<input type="submit" value="'.__('Save').' (s)" '.
@@ -441,8 +443,4 @@
 	
 	echo
-	'<p><label for="cat_id">'.__('Category:').
-	form::combo('cat_id',$categories_combo,$cat_id,'maximal').
-	'</label></p>'.
-	
 	'<p><label for="post_status">'.__('Entry status:').
 	form::combo('post_status',$status_combo,$post_status,'','',!$can_publish).
@@ -454,8 +452,12 @@
 	
 	'<p><label for="post_format">'.__('Text formating:').
-	form::combo('post_format',$formaters_combo,$post_format).
+	form::combo('post_format',$formaters_combo,$post_format,'maximal').
 	'</label>'.
 	'</p>'.
-	'<p>'.($post_id && $post_format != 'xhtml' ? '<a id="convert-xhtml" class="button" href="post.php?id='.$post_id.'&amp;xconv=1">'.__('Convert to XHTML').'</a>' : '').'</p>'.
+	'<p>'.($post_id && $post_format != 'xhtml' ? '<a id="convert-xhtml" class="button maximal" href="post.php?id='.$post_id.'&amp;xconv=1">'.__('Convert to XHTML').'</a>' : '').'</p>'.
+	
+	'<p class="border-top"><label for="cat_id">'.__('Category:').
+	form::combo('cat_id',$categories_combo,$cat_id,'maximal').
+	'</label></p>'.
 	
 	'<p><label for="post_open_comment" class="classic">'.form::checkbox('post_open_comment',1,$post_open_comment).' '.
@@ -528,8 +530,8 @@
 	if ($can_edit_post && $core->auth->check('publish,contentadmin',$core->blog->id))
 	{
-		$combo_action[__('publish')] = 'publish';
-		$combo_action[__('unpublish')] = 'unpublish';
-		$combo_action[__('mark as pending')] = 'pending';
-		$combo_action[__('mark as junk')] = 'junk';
+		$combo_action[__('Publish')] = 'publish';
+		$combo_action[__('Unpublish')] = 'unpublish';
+		$combo_action[__('Mark as pending')] = 'pending';
+		$combo_action[__('Mark as junk')] = 'junk';
 	}
 	
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 1334)
+++ admin/posts.php	(revision 1353)
@@ -77,6 +77,6 @@
 	$selected_combo = array(
 	'-' => '',
-	__('selected') => '1',
-	__('not selected') => '0'
+	__('Selected') => '1',
+	__('Not selected') => '0'
 	);
 	
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 1334)
+++ admin/search.php	(revision 1353)
@@ -84,5 +84,5 @@
 '<p><label for="qtype1" class="classic">'.form::radio(array('qtype','qtype1'),'p',$qtype == 'p').' '.__('Search in entries').'</label> '.
 '<label for="qtype2" class="classic">'.form::radio(array('qtype','qtype2'),'c',$qtype == 'c').' '.__('Search in comments').'</label></p>'.
-'</p><input type="submit" value="'.__('Search').'" /></p>'.
+'<p><input type="submit" value="'.__('Search').'" /></p>'.
 '</div>'.
 '</form>';
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1344)
+++ admin/style/default.css	(revision 1353)
@@ -525,4 +525,9 @@
 	margin-left: 1.2rem;
 }
+#entry-content label {
+	text-transform: uppercase;
+	font-weight: bold;
+	margin-top: 2em;
+}
 #entry-sidebar {
 	width: 17em;
@@ -985,8 +990,12 @@
 /* -------------------------------------------------------------------- CLASSES COMMUNES */
 
-.no-margin {
-	margin: 0;
-}
-
+.no-margin, #entry-content label.no-margin {
+	margin: 0;
+}
+.border-top {
+	border-top: 1px solid #999;
+	padding-top: 1em;
+	margin-top:	1em;
+}
 /* paragraphe pour bouton Nouveau bidule */
 p.top-add {
@@ -1252,4 +1261,5 @@
 	font-style:italic;
 	font-weight: normal;
+	text-transform: none;
 	color: #666;
 }
@@ -1345,4 +1355,6 @@
 	margin-bottom: .1em;
 }
+h4 a.button {font-weight: normal;}
+
 /* validation */
 input[type=submit],