Index: locales/eo/plugins.po
===================================================================
--- locales/eo/plugins.po	(revision 558)
+++ locales/eo/plugins.po	(revision 749)
@@ -8,5 +8,5 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2011-05-13 19:36+0200\n"
+"POT-Creation-Date: 2011-10-13 20:46+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -20,4 +20,7 @@
 msgstr ""
 
+msgid "yes"
+msgstr ""
+
 msgid "Configuration successfully updated"
 msgstr ""
@@ -35,4 +38,10 @@
 msgstr ""
 
+msgid "Goto:"
+msgstr ""
+
+msgid "Ok"
+msgstr ""
+
 msgid "global settings"
 msgstr ""
@@ -85,5 +94,5 @@
 msgstr ""
 
-msgid "Add an IP address"
+msgid "Add an IP address: "
 msgstr ""
 
@@ -132,5 +141,5 @@
 msgstr ""
 
-msgid "Add a word"
+msgid "Add a word "
 msgstr ""
 
@@ -141,5 +150,5 @@
 msgstr ""
 
-msgid "List"
+msgid "List of bad words"
 msgstr ""
 
@@ -189,7 +198,4 @@
 msgstr ""
 
-msgid "Return to filters"
-msgstr ""
-
 #, php-format
 msgid "%s configuration"
@@ -215,10 +221,16 @@
 msgstr ""
 
+msgid "You can modify this duration in "
+msgstr ""
+
+msgid "Blog preferences"
+msgstr ""
+
+msgid "Filters configuration has been successfully saved."
+msgstr ""
+
 msgid "Available spam filters"
 msgstr ""
 
-msgid "Filters configuration has been successfully saved."
-msgstr ""
-
 msgid "Order"
 msgstr ""
@@ -248,4 +260,7 @@
 msgstr ""
 
+msgid "Blogroll"
+msgstr ""
+
 msgid "manage blogroll"
 msgstr ""
@@ -419,5 +434,5 @@
 msgstr ""
 
-msgid "import"
+msgid "Import"
 msgstr ""
 
@@ -531,7 +546,4 @@
 msgstr ""
 
-msgid "Preview"
-msgstr ""
-
 msgid "Sidebar"
 msgstr ""
@@ -627,4 +639,7 @@
 msgstr ""
 
+msgid "Additional CSS"
+msgstr ""
+
 msgid "Configuration import / export"
 msgstr ""
@@ -792,7 +807,4 @@
 msgstr ""
 
-msgid "Send"
-msgstr ""
-
 msgid "Flat file import"
 msgstr ""
@@ -890,7 +902,4 @@
 msgstr ""
 
-msgid "Import"
-msgstr ""
-
 msgid "Maintenance"
 msgstr ""
@@ -964,45 +973,48 @@
 msgstr ""
 
+msgid "Pages"
+msgstr ""
+
+#, php-format
+msgid "%d page"
+msgstr ""
+
+#, php-format
+msgid "%d pages"
+msgstr ""
+
+msgid "manage pages"
+msgstr ""
+
+msgid "Published on"
+msgstr ""
+
+msgid "This page's comments feed"
+msgstr ""
+
+msgid "You must provide a valid email address."
+msgstr ""
+
+msgid "Page title"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Publication date"
+msgstr ""
+
+msgid "No page"
+msgstr ""
+
+msgid "select this page"
+msgstr ""
+
+msgid "Are you sure you want to delete selected pages?"
+msgstr ""
+
 msgid "New page"
 msgstr ""
 
-#, php-format
-msgid "%d page"
-msgstr ""
-
-#, php-format
-msgid "%d pages"
-msgstr ""
-
-msgid "manage pages"
-msgstr ""
-
-msgid "Published on"
-msgstr ""
-
-msgid "This page's comments feed"
-msgstr ""
-
-msgid "You must provide a valid email address."
-msgstr ""
-
-msgid "Page title"
-msgstr ""
-
-msgid "Page position"
-msgstr ""
-
-msgid "Publication date"
-msgstr ""
-
-msgid "No page"
-msgstr ""
-
-msgid "select this page"
-msgstr ""
-
-msgid "Are you sure you want to delete selected pages?"
-msgstr ""
-
 msgid "Selected pages action:"
 msgstr ""
@@ -1029,8 +1041,5 @@
 msgstr ""
 
-msgid "View page"
-msgstr ""
-
-msgid "Preview page"
+msgid "Go to this page on the site"
 msgstr ""
 
@@ -1050,4 +1059,13 @@
 msgstr ""
 
+msgid "Attachments"
+msgstr ""
+
+msgid "remove"
+msgstr ""
+
+msgid "No attachment."
+msgstr ""
+
 msgid "Add files to this page"
 msgstr ""
@@ -1178,8 +1196,17 @@
 msgstr ""
 
-msgid "Rename this tag:"
-msgstr ""
-
-msgid "Delete this tag"
+msgid "Actions for this tag"
+msgstr ""
+
+msgid "Edit tag name:"
+msgstr ""
+
+msgid "Rename"
+msgstr ""
+
+msgid "Delete this tag:"
+msgstr ""
+
+msgid "List of entries with this tag"
 msgstr ""
 
@@ -1343,4 +1370,7 @@
 msgstr ""
 
+msgid "custom"
+msgstr ""
+
 msgid "Widgets"
 msgstr ""
@@ -1355,5 +1385,5 @@
 msgstr ""
 
-msgid "add widgets to sidebars"
+msgid "Add widgets to sidebars"
 msgstr ""
 
@@ -1364,4 +1394,7 @@
 msgstr ""
 
+msgid "Custom sidebar"
+msgstr ""
+
 msgid "Update sidebars"
 msgstr ""
@@ -1370,4 +1403,16 @@
 msgstr ""
 
+msgid "Use of widgets"
+msgstr ""
+
+msgid "Widgets may be used to add various blocks of content to be displayed on your public pages. To add a widget, drag it from the Available widgets list on the left to one of the sidebars on the right of this page. You can order your widgets in a sidebar by dragging them up or down. You must update sidebars to apply your changes."
+msgstr ""
+
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgstr ""
+
+msgid "Reset sidebars to get back to default widgets installation."
+msgstr ""
+
 msgid "Widget templates tags"
 msgstr ""